% Demo script to analyze synthetic data set of letters
load testim;

% Display data
figure;
imagesc(V/max(V(:)));
axis tight;
axis equal;

d=8;
opts.Tau=[25,25];
opts.costfcn='ls';
opts.lambda=15;
opts.maxiter=250;
[W,H,D] = SISC(V, d, opts);

% Reconstruct data and plot the result
Rec=ReconstructData(W, H, D,1:d);
Rec=Rec(1:size(V,1),1:size(V,2),1:size(V,3));
plotImdataSISC(W,H,D,Rec)
